> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/d1-v1-api/ja/d1-v1-apirifarensu/akaunto/models.md).

# Models

## The issuerId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"issuerId":{"maxLength":10,"minLength":10,"type":"string"}}}}
```

## The accountId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"accountId":{"type":"string","description":"Unique identifier of the account.","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The consumerId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"consumerId":{"type":"string","description":"Unique identifier of the end user. ","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The accountProductId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"accountProductId":{"type":"string","description":"RFU - Unique identifier of the type of account","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The errorGeneric object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"errorGeneric":{"type":"object","description":"Generic error returned by the APIs.","properties":{"error":{"type":"string","description":"Description of the error.<br/>This field is for troubleshooting purposes only, it can change at any time so MUST NOT be parsed, and is not supposed to be human readable so CANNOT be displayed to end users."}}}}}}
```

## The reason object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"reason":{"type":"string","title":"reason","pattern":"^[a-zA-Z0-9 ]{1,64}$","description":"The reason why the action is performed.\n\nThis a free text field in case the Issuer wants to send details, that will be returned in the operations list."}}}}
```

## The reasonCode object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"reasonCode":{"type":"string","title":"reasonCode","enum":["USER_DECISION","ISSUER_DECISION","DEVICE_LOST","DEVICE_STOLEN","CARD_LOST","CARD_STOLEN","CARD_BROKEN"],"description":"The reason code why the action is performed.\n\nIf not provided, default reason code is ISSUER_DECISION."}}}}
```

## The operationId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The operationStatusSuccessful object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"operationStatusSuccessful":{"title":"operation","type":"object","description":"Operation result information.","properties":{"operationId":{"$ref":"#/components/schemas/operationId"},"status":{"type":"string","description":"Status of the operation","enum":["SUCCESSFUL"]}}},"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The operationStatusFailed object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"components":{"schemas":{"operationStatusFailed":{"title":"operation","type":"object","description":"Operation result information.","properties":{"operationId":{"$ref":"#/components/schemas/operationId"},"status":{"type":"string","description":"Status of the operation","enum":["FAILED"]}}},"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/d1-v1-api/ja/d1-v1-apirifarensu/akaunto/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
